Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Interface WLTopicSession

All Superinterfaces:
  Runnable, Session, TopicSession, WLSession

    public interface WLTopicSession

extends WLSession, TopicSession

A WLTopicSession provides fields and methods not supported by javax.jms.TopicSession.

See Also:
  `WLSession`, `TopicSession`

Field Summary

Fields inherited from interface weblogic.jms.extensions.WLSession
`KEEP_NEW, KEEP_OLD, MULTICAST_NO_ACKNOWLEDGE, NO_ACKNOWLEDGE`

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Method Summary

Methods inherited from interface weblogic.jms.extensions.WLSession
`acknowledge, acknowledge, createXMLMessage, createXMLMessage, createXMLMessage, getMessagesMaximum, getOverrunPolicy, getRedeliveryDelay, setExceptionListener, setMessagesMaximum, setOverrunPolicy, setRedeliveryDelay`

Methods inherited from interface javax.jms.Session
`close, commit, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createStreamMessage, createTemporaryQueue, createTextMessage, createTextMessage, getAcknowledgeMode, getMessageListener, getTransacted, recover, rollback, run, setMessageListener`

Methods inherited from interface javax.jms.TopicSession
`createDurableSubscriber, createDurableSubscriber, createPublisher, createSubscriber, createSubscriber, createTemporaryTopic, createTopic, unsubscribe`

Methods inherited from interface javax.jms.Session
`close, commit, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createStreamMessage, createTemporaryQueue, createTextMessage, createTextMessage, getAcknowledgeMode, getMessageListener, getTransacted, recover, rollback, run, setMessageListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD